{
	"format_version": "1.10.0",
	"animation_controllers": {
		"controller.animation.greatsword.attack": {
			"states": {
				"default": {
					"transitions": [
						{
							"unsheathe": "variable.greatsword"
						},
						{
							"undefault": "!query.is_item_name_any('slot.hotbar',0,'pixel:wooden_greatsword') && !query.is_item_name_any('slot.hotbar',0,'pixel:stone_greatsword') && !query.is_item_name_any('slot.hotbar',0,'pixel:iron_greatsword') && !query.is_item_name_any('slot.hotbar',0,'pixel:golden_greatsword') && !query.is_item_name_any('slot.hotbar',0,'pixel:diamond_greatsword') && !query.is_item_name_any('slot.hotbar',0,'pixel:netherite_greatsword')"
						}
					]
				},
				"undefault": {
					"transitions": [
						{
							"greatsword": "variable.greatsword"
						},
						{
							"default": "query.is_item_name_any('slot.hotbar',0,'pixel:wooden_greatsword')||query.is_item_name_any('slot.hotbar',0,'pixel:stone_greatsword')||query.is_item_name_any('slot.hotbar',0,'pixel:iron_greatsword')||query.is_item_name_any('slot.hotbar',0,'pixel:golden_greatsword')||query.is_item_name_any('slot.hotbar',0,'pixel:diamond_greatsword')||query.is_item_name_any('slot.hotbar',0,'pixel:netherite_greatsword')"
						}
					]
				},
				"unsheathe": {
					"animations": [
					  "greatsword_unsheathe",
					  "gs_no_back",
					  "no_offhand"
					],
					"transitions": [
						{
							"greatsword": "query.all_animations_finished"
						},
						{
							"default": "!variable.greatsword"
						}
					]
				},
				"greatsword": {
					"animations": [
				   	  "greatsword_base",
					  {
					    "no_offhand": "query.get_equipped_item_name('off_hand') != ''"
					  },
					  "gs_no_back"
					],
					"transitions": [
					    {
					  	  "move":"query.is_moving && !query.is_sprinting"
					    },
					    {
					  	  "sprint":"query.is_moving && query.is_sprinting"
					    },
						{
							"ride": "query.is_riding"
						},
						{
							"sneak": "query.is_sneaking"
						},
{
							"jump": "query.is_jumping"
						},
						{
							"default": "!variable.greatsword"
						}
					]
				},
				"ride": {
					"animations": [
					  {
					    "no_attack_ride": "!query.is_moving"
					  },
					  {
					    "no_attack_ride_move": "query.is_moving"
					  }
					],
					"transitions": [
						{
							"default": "!variable.greatsword"
						},
						{
							"greatsword": "!query.is_riding"
						}
					]
				},
				"jump": {
					"animations": [
					  "greatsword_jump",
					  "gs_no_back",
					  "no_offhand"
					],
					"transitions": [
						{
							"land": "query.all_animations_finished && query.is_on_ground"
						}
					]
				},
				"land": {
					"animations": [
					  "greatsword_jump",
					  "gs_no_back",
					  "no_offhand"
					],
					"transitions": [
						{
							"greatsword": "query.all_animations_finished"
						}
					]
				},
				"sprint": {
					"animations": [
					  "greatsword_sprint",
					  "gs_no_back",
					  "no_offhand"
					],
					"transitions": [
						{
							"greatsword": "!query.is_moving && !query.is_sprinting"
						},
						{
							"ride": "query.is_riding"
						},
						{
							"move": "query.is_moving && !query.is_sprinting"
						},
						{
							"sneak": "query.is_sneaking"
						}
					]
				},
				"move": {
					"animations": [
					  "greatsword_move",
					  "gs_no_back",
					  "no_offhand"
					],
					"transitions": [
						{
							"greatsword": "!query.is_moving"
						},
						{
							"sprint": "query.is_sprinting"
						},
						{
							"ride": "query.is_riding"
						},
						{
							"sneak": "query.is_sneaking"
						}
					]
				},
				"sneak": {
					"animations": [
					  "greatsword_sneak",
					  "gs_no_back",
					  "no_offhand"
					],
					"transitions": [
						{
							"greatsword": "!query.is_sneaking"
						},
						{
							"ride": "query.is_riding"
						},
						{
							"sneak_move": "query.is_moving && query.is_sneaking"
						}
					]
				},
				"sneak_move": {
					"animations": [
					  "greatsword_sneak_move",
					  "gs_no_back",
					  "no_offhand"
					],
					"transitions": [
						{
							"greatsword": "!query.is_sneaking"
						},
						{
							"sneak": "!query.is_moving && query.is_sneaking"
						}
					]
				}
			}
		}
	}
}